import 'package:vone_ipfs/generated/json/base/json_convert_content.dart';
import 'package:vone_ipfs/generated/json/base/json_field.dart';

class FolderDataEntity with JsonConvert<FolderDataEntity> {
	int? code;
	String? message;
	FolderDataData? data;
}

class FolderDataData with JsonConvert<FolderDataData> {
	@JSONField(name: "FileList")
	List<FolderDataDataFileList>? fileList;
	@JSONField(name: "ParentID")
	int? parentID;
	@JSONField(name: "ParentName")
	String? parentName;
}

class FolderDataDataFileList with JsonConvert<FolderDataDataFileList> {
	@JSONField(name: "FileID")
	int? fileID;
	@JSONField(name: "FileMeta")
	FolderDataDataFileListFileMeta? fileMeta;
}

class FolderDataDataFileListFileMeta with JsonConvert<FolderDataDataFileListFileMeta> {
	@JSONField(name: "FileName")
	String? fileName;
	@JSONField(name: "UserName")
	String? userName;
	@JSONField(name: "UploadTime")
	String? uploadTime;
	@JSONField(name: "FileType")
	String? fileType;
}
