import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:vone_ipfs/utils/ipfs_utils.dart';

class EmptyView extends StatelessWidget {
  String? text;

  EmptyView({Key? key, this.text='这里是空的哟～'}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        IPFSUtils.getIconFont(
          0xe622,
          const Color(0xFFFFD23D),
          80.0,
        ),
        SizedBox(height: 10,),
        Visibility(
          child: Text(
            '${text}',
            style: TextStyle(fontSize: 14, color: Colors.black38),
          ),
          visible: text != null,
        )
      ],
    );
  }
}
